import { SfdxCommand } from '@salesforce/command';
import { SfError } from '@salesforce/core';
import { Nullable } from '@salesforce/ts-types';
import { CliUx } from '@oclif/core';
export interface AliasResult {
    alias: string;
    value?: Nullable<string>;
    success?: boolean;
    error?: SfError;
}
export declare enum Command {
    List = "List",
    Set = "Set",
    Unset = "Unset"
}
export declare abstract class AliasCommand extends SfdxCommand {
    protected static tableColumns: {
        [key: string]: CliUx.Table.table.Columns<Record<string, string>>;
    };
    output(commandName: Command, results: AliasResult[]): void;
    parseArgs(): Promise<string[]>;
}
