import { OutputFlags } from '@oclif/parser';
import { UX } from '@salesforce/command';
import { JsonCollection } from '@salesforce/ts-types';
import { Org } from '@salesforce/core';
import { HttpMethods } from 'jsforce';
import { CommunityPublishResponse } from '../defs/CommunityPublishResponse';
import { ConnectResource } from '../../connect/services/ConnectResource';
/**
 * A connect api resource for publishing a community
 */
export declare class CommunityPublishResource implements ConnectResource<CommunityPublishResponse> {
    private flags;
    private org;
    private ux;
    private info;
    constructor(flags: OutputFlags<any>, org: Org, ux: UX);
    fetchRelativeConnectUrl(): Promise<string>;
    getRequestMethod(): HttpMethods;
    fetchPostParams(): Promise<string>;
    handleSuccess(result: JsonCollection & {
        id?: string;
        name?: string;
        url?: string;
    }): CommunityPublishResponse;
    handleError(error: Error): CommunityPublishResponse;
    fetchCommunityId(): Promise<string>;
}
