"use strict";
/*
 * Copyright (c) 2022, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const yeoman_environment_1 = require("yeoman-environment");
class CommandBase extends core_1.Command {
    async generate(type, generatorOptions = {}) {
        const env = (0, yeoman_environment_1.createEnv)();
        env.register(require.resolve(`./generators/${type}`), `sfdx:${type}`);
        await env.run(`sfdx:${type}`, generatorOptions);
    }
}
exports.default = CommandBase;
//# sourceMappingURL=command-base.js.map